<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class FormaPagamentoDinheiroViewModel extends Entity {
	protected $valor;
	protected $troco;

	public static function builder(): FormaPagamentoDinheiroViewModelBuilder {

		return (new FormaPagamentoDinheiroViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTroco() {

		return $this->troco;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$v = strval( $valor );
		if (strlen( $v ) > 0) {
			$t = str_replace( ',', '.', $v );
			$this->valor = $t;
		} else {
			$this->valor = $valor;
		}

	}

	/**
	 *
	 * @param mixed $troco
	 */
	public function setTroco($troco) {

		$v = strval( $troco );
		if (strlen( $v ) > 0) {
			$t = str_replace( ',', '.', $v );
			$this->troco = $t;
		} else {
			$this->troco = $troco;
		}

	}

}

